<DragSortList
  ...attributes
  @isHorizontal={{false}}
  @items={{this.value}}
  @dragEndAction={{this.dragEnd}}
  @handle=".handler"
  as |question index|
>
  <div class="input-icon-attribute d-flex">
    <div class="handler flex-shrink-0 btn drag-handler" draggable="true">
      <FaIcon @icon="arrows-alt-v" />
    </div>

    {{#if (or (not question.hasVisibility) question.isVisible)}}
      <div class="flex-grow-1">
        <Input::Question
          @value={{question}}
          @isSpecial={{question.hasVisibility}}
          @onChange={{fn this.change index}}
          @iconSets={{@iconSets}}
          class="flex-grow-1 me-2 ms-2"
        />

        <QuestionsValidation @value={{this.value}} @index={{index}} />
      </div>
    {{else}}
      <div class="alert alert-info alert-hidden-question me-2 ms-2 flex-grow-1" role="alert">
        {{t (concat "question-message.hidden-" question.name)}}
      </div>
    {{/if}}

    <div class="buttons-container">
      {{#unless question.disableDelete}}
        <button
          title={{t "delete"}}
          type="button"
          class="btn btn-danger btn-delete"
          {{on "click" (fn this.remove index)}}
        >
          <FaIcon @icon="trash" />
        </button>
      {{/unless}}

      {{#if question.hasVisibility}}
        <button
          type="button"
          class="btn btn-secondary btn-toggle-visibility"
          {{on "click" (fn this.toggleVisibility index)}}
        >
          <FaIcon @icon="eye" />
        </button>
      {{/if}}
    </div>
  </div>
</DragSortList>

<button
  class="btn btn-outline-primary btn-add-question mt-3"
  type="button"
  {{on "click" this.addRecord}}
  {{did-insert this.setup}}
>
  <FaIcon @icon="plus" />
  {{t "question"}}
</button>